//	Zinc Application Framework - W_NOTEBK.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

// This file provided as a stub for the personal version of ZAF.

#include <w_app.hpp>
#include <z_notebk.hpp>
#include <z_title.hpp>
#include <z_win.hpp>

// ----- ZafNotebook -------------------------------------------------------

ZafEventMap ZAF_FARDATA ZafNotebook::defaultEventMap[] =
{
	{ L_NONE, 0, 0, 0 }
};

ZafPaletteMap ZAF_FARDATA ZafNotebook::defaultPaletteMap[] =
{
	{ ZAF_PM_NONE, 0 }
};

ZafWindowObject *ZafNotebook::Add(ZafWindowObject *, ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafEventType ZafNotebook::Draw(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafNotebook::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

ZafRegionStruct ZafNotebook::MaxRegion(ZafWindowObject *, ZafVtJustify, ZafHzJustify)
{
	ZafRegionStruct maxRegion;
	return maxRegion;
}

int ZafNotebook::SetCurrentPage(int)
{
	return (-1);
}

ZafEventType ZafNotebook::ScrollEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

bool ZafNotebook::SetAutomaticUpdate(bool)
{
	return (false);
}

ZafWindowObject *ZafNotebook::Subtract(ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafIChar ZafNotebook::TabHotKeyChar(int) const
{
	return ('\0');
}

int ZafNotebook::TabHotKeyIndex(int) const
{
	return (-1);
}

ZafIChar ZafNotebook::SetTabHotKey(int, ZafIChar, int)
{
	return ('\0');
}

ZafError ZafNotebook::SetTabText(const ZafIChar *, int)
{
	return (ZAF_ERROR_NONE);
}

const ZafIChar *ZafNotebook::TabText(int)
{
	return (ZAF_NULLP(ZafIChar));
}

// ----- OS Specific Functions ----------------------------------------------

void ZafNotebook::OSDestroy(void)
{
}

ZafEventType ZafNotebook::OSEvent(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

void ZafNotebook::OSMapPalette(ZafPaletteStruct &, ZafPaletteType, ZafPaletteState)
{
}

void ZafNotebook::OSRegisterObject(void)
{
}

OSWindowID ZafNotebook::OSScreenID(ZafScreenIDType) const
{
	return screenID;
}

// ----- Stubs --------------------------------------------------------------

ZafEventType ZafNotebook::DrawShadow(ZafRegionStruct &, int, ZafEventType)
{
	return (S_CONTINUE);
}

ZafError ZafNotebook::OSUpdatePalettes(ZafPaletteType, ZafPaletteType)
{
	return (ZAF_ERROR_NONE);
}
